# Uses of Class
org.eclipse.pde.core.target.TargetFeature

Packages that use TargetFeature
Package
Description
org.eclipse.pde.core.target
Application programming interfaces to access and modify the PDE target platform.

## Uses of TargetFeature in org.eclipse.pde.core.target

Methods in org.eclipse.pde.core.target that return TargetFeature
Modifier and Type
Method
Description
`TargetFeature[]`
ITargetDefinition.`getAllFeatures()`
Returns the list of feature models available in this target or `null` if this target has not been resolved.
`TargetFeature[]`
ITargetLocation.`getFeatures()`
Returns all features available in this location or `null` if this location is not resolved.